Search registered agents
View as MarkdownSearches registered agents using request-body criteria and returns ranked results.
Header Parameters
Optional request identifier propagated across services.
uuidRequest Body
application/json
Search parameters
Search criteria for agent discovery.
Response Body
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
*/*
curl -X POST "https://example.com/v1/ans/search-registered-agents" \ -H "Content-Type: application/json" \ -d '{}'{ "totalItems": 0, "totalPages": 0, "links": [ { "href": "http://example.com", "rel": "string", "title": "string", "targetMediaType": "string", "targetSchema": {}, "method": "string", "submissionMediaType": "application/json", "submissionSchema": {} } ], "items": [ { "agentId": "string", "indexedAt": "2019-08-24T14:15:22Z", "leafIndex": 0, "lifecycle": { "status": "ACTIVE" }, "agentDescription": "string", "agentDisplayName": "string", "agentHost": "string", "agentVersion": "string", "ansName": "string", "logId": "string", "providerId": "string", "endpoints": [ { "agentUrl": "string", "documentationUrl": "string", "metaDataUrl": "string", "metaDataHash": "string", "protocol": "A2A", "transports": [ "HTTP" ], "functions": [ { "id": "string", "name": "string", "tags": [ "string" ] } ] } ], "scores": { "trustScore": 0, "textScore": 0, "relevance": 0.1 } } ]}Last updated on
How is this guide?